Subject: RE: your mail

From: "Hsu, Vicky" <[email-masked]>
Date: Mon, 22 Jul 2002 13:30:56 -0700

Hi:

I think the thread has been long enough
and the topics interesting enough to spawn off
to other new, specific and meaningful subject lines.
So that it is easier to keep track of the
categories and not mistake for potential 
junk mail by reading the subject of "your mail"

Just a thought.

Regards
- Vicky HSU 

-----Original Message-----
From: Gray, Eric
To: 'Shahram Davari'
Cc: [email-masked] '
Sent: 7/22/02 9:36 AM
Subject: RE: your mail 

Shahram,

	Not sure you meant this as a reply to me.

	Technically, you are correct - though the parsing
operation associated with finding the bottom of stack is
trivial, consisting of a 'grammar' in which only one bit
per word is not noise.

	Moreover, Eric Rosen already responded to me on
the mailing list with an answer I felt was sufficient -
i.e. - bottom of stack, or last label looked at (in the
event that the bottom of stack bit is not set in any
label 'looked at').  Having hashed this out to my own
satisfaction on the mailing list, I was hoping to let
this thread expire.

	:-)

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

-----Original Message-----
From: Shahram Davari [mailto:[email-masked]] 
Sent: Monday, July 22, 2002 12:16 PM
To: 'Gray, Eric'; [email-masked]'
Cc: [email-masked] '
Subject: RE: your mail 

To find the bottom of the stack you need parsing.

-Shahram

> -----Original Message-----
> From: Gray, Eric [mailto:[email-masked]]
> Sent: Tuesday, July 02, 2002 12:36 PM
> To: [email-masked]'
> Cc: Shahram Davari; [email-masked] '
> Subject: RE: your mail 
> 
> 
> Eric,
> 
> 	I'm guessing that some hardware implementations might be 
> optimized around the need to process at most K labels.  For any
> such implementation, being required to possibly look at the Nth
> label - where N is the number of labels in the stack and N may 
> be greater than K - may be virtually indistinguishable from 
> being required to parse the entire packet.
> 
> 	In such cases, the engineers have to take a hard look at
> what they might use as a fall back for the N > K case and then
> do some hard analysis about whether or not such a fall back is
> guaranteed to work in all cases.  Because the consequences of
> not getting the right answer after all this hard looking and
> analysis are systemic at the network level, it might be useful
> if this was hashed out publicly in a little more detail - don't 
> you think?  :-)
> 
> Eric W. Gray
> Systems Architect
> Celox Networks, Inc.
> [email-masked]
> 508 305 7214
> 
> 
> -----Original Message-----
> From: Eric Rosen [mailto:[email-masked]] 
> Sent: Tuesday, July 02, 2002 11:02 AM
> To: Shahram Davari
> Cc: 'Eric Osborne '; 'George Sheng '; [email-masked] '; 
> [email-masked] '
> Subject: Re: your mail 
> 
> 
> SD=> So you do more than one lookup- so what? so you need to 
> parse the whole
> SD=> packet in the core-so what? so you need to keep state in 
> the core,
> 
> Please pay attention. 
> 
> There is not  more than one lookup; doing the hash  does not 
> require looking
> anything up. 
> 
> Finding the bottom label does not involve parsing the whole packet. 
> 
> There is no state kept in the core. 
> 
> SD=> so you have no longer a simple label swap
> 
> It is true that the essence of  load balancing over equal 
> cost paths is that
> the outgoing interface  is not chosen solely on the basis  of 
> the top label.
> So? 
> 
> SD=> MPLS was  designed to have simple  forwarding. Hashing 
> takes  it to new
> SD=> levels of simplification never seen before.  
> 
> You might take a peek at section 3.12 of RFC 3031. 
>